Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class ConstArrayTypeNode_c

    java.lang.Object
      polyglot.ast.Node_c
          polyglot.ast.Term_c
              polyglot.ast.TypeNode_c
                  polyglot.ast.ArrayTypeNode_c
                      jif.ast.ConstArrayTypeNode_c

All Implemented Interfaces:
  java.lang.Cloneable, ConstArrayTypeNode, polyglot.ast.Ambiguous, polyglot.ast.ArrayTypeNode, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Prefix, polyglot.ast.QualifierNode, polyglot.ast.Receiver, polyglot.ast.Term, polyglot.ast.Typed, polyglot.ast.TypeNode, polyglot.util.Copy

    public class ConstArrayTypeNode_c

extends polyglot.ast.ArrayTypeNode_c
implements ConstArrayTypeNode

A `ConstArrayTypeNode` is a type node for a non-canonical const array type.

Field Summary

Fields inherited from class polyglot.ast.ArrayTypeNode_c
`base`

Fields inherited from class polyglot.ast.TypeNode_c
`type`

Fields inherited from class polyglot.ast.Term_c
`exceptions, reachable`

Fields inherited from class polyglot.ast.Node_c
`del, error, ext, position`

Fields inherited from interface polyglot.ast.Term
`ENTRY, EXIT`

Constructor Summary
`ConstArrayTypeNode_c(polyglot.util.Position pos, polyglot.ast.TypeNode base)`

Method Summary
`polyglot.ast.Node` | `buildTypes(polyglot.visit.TypeBuilder tb)`
`polyglot.ast.Node` | `disambiguate(polyglot.visit.AmbiguityRemover ar)`
`java.lang.String` | `toString()`

Methods inherited from class polyglot.ast.ArrayTypeNode_c
`base, base, copy, exceptionCheck, isDisambiguated, prettyPrint, reconstruct, typeCheck, visitChildren`

Methods inherited from class polyglot.ast.TypeNode_c
`acceptCFG, firstChild, name, qualifier, type, type`

Methods inherited from class polyglot.ast.Term_c
`exceptions, exceptions, listChild, reachable, reachable`

Methods inherited from class polyglot.ast.Node_c
`addDecls, buildTypesEnter, checkConstants, childExpectedType, copy, copy, del, del, disambiguateEnter, disambiguateOverride, dump, dump, dump, enterChildScope, enterScope, error, error, exceptionCheckEnter, ext, ext, ext, ext, init, isTypeChecked, node, position, position, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, translate, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jif.ast.ConstArrayTypeNode
`base, base`

Methods inherited from interface polyglot.ast.TypeNode
`name, type`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypesEnter, checkConstants, copy, copy, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.ast.Typed
`type`

Methods inherited from interface polyglot.ast.QualifierNode
`qualifier`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypesEnter, checkConstants, copy, copy, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.ast.Term
`acceptCFG, exceptions, exceptions, firstChild, reachable, reachable`

Constructor Detail

### ConstArrayTypeNode_c

    public ConstArrayTypeNode_c(polyglot.util.Position pos,
                                polyglot.ast.TypeNode base)

Method Detail

### buildTypes

    public polyglot.ast.Node buildTypes(polyglot.visit.TypeBuilder tb)
                                 throws polyglot.types.SemanticException

  Specified by:
    `buildTypes` in interface `polyglot.ast.NodeOps`
  Overrides:
    `buildTypes` in class `polyglot.ast.ArrayTypeNode_c`
  Throws:
    `polyglot.types.SemanticException`

### disambiguate

    public polyglot.ast.Node disambiguate(polyglot.visit.AmbiguityRemover ar)
                                   throws polyglot.types.SemanticException

  Specified by:
    `disambiguate` in interface `polyglot.ast.NodeOps`
  Overrides:
    `disambiguate` in class `polyglot.ast.ArrayTypeNode_c`
  Throws:
    `polyglot.types.SemanticException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `polyglot.ast.ArrayTypeNode_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD